ndcctools.taskvine.dask_executor Namespace Reference

This module provides a specialized manager ndcctools.taskvine.dask_executor.DaskVine to execute dask workflows. More...

## Data Structures

class | DaskVine
| TaskVine Manager specialized to compute dask graphs. More...
class | DaskVineFile
| Internal class used to represent Python data persisted as a file in the filesystem. More...
class | DaskVineExecutionError
| Internal class representing an execution error in a TaskVine workflow. More...
class | PythonTaskDask
| Internal class representing a Dask task to be executed, materialized as a special case of a TaskVine PythonTask. More...
class | FunctionCallDask
| Internal class representing a Dask function call to be executed, materialized as a special case of a TaskVine FunctionCall. More...

## Detailed Description

This module provides a specialized manager ndcctools.taskvine.dask_executor.DaskVine to execute dask workflows.